Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Rendering/vtkVolumeRayCastMapper.h File Reference

`#include "vtkVolumeMapper.h"`
`#include "vtkVolumeRayCastFunction.h"`

Include dependency graph for vtkVolumeRayCastMapper.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

class | vtkVolumeRayCastMapper
| A slow but accurate mapper for rendering volumes. More...

## Defines

#define | vtkTrilinFuncMacro(v, x, y, z, a, b, c, d, e, f, g, h)

## Functions

int | vtkFloorFuncMacro (double x)
int | vtkRoundFuncMacro (double x)

## Define Documentation

#define vtkTrilinFuncMacro | ( | v,
|  | x,
|  | y,
|  | z,
|  | a,
|  | b,
|  | c,
|  | d,
|  | e,
|  | f,
|  | g,
|  | h |  | ) |

Value:

    t00 =   a + (x)*(b-a);      \
            t01 =   c + (x)*(d-c);      \
            t10 =   e + (x)*(f-e);      \
            t11 =   g + (x)*(h-g);      \
            t0  = t00 + (y)*(t01-t00);  \
            t1  = t10 + (y)*(t11-t10);  \
            v   =  t0 + (z)*(t1-t0);

Definition at line 93 of file vtkVolumeRayCastMapper.h.

## Function Documentation

int vtkFloorFuncMacro | ( | double | x | ) | `[inline]`

| Definition at line 65 of file vtkVolumeRayCastMapper.h. Referenced by vtkRoundFuncMacro().

int vtkRoundFuncMacro | ( | double | x | ) | `[inline]`

| Definition at line 84 of file vtkVolumeRayCastMapper.h. References vtkFloorFuncMacro().